Workflows
Stop new automatic runs; existing runs continue
POST
/workflows/{id}/pauseAuthorizationBearer <token>
In: header
Path Parameters
id*string
Query Parameters
workspace_id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/workflows/string/pause?workspace_id=string" \ -H "Content-Type: application/json" \ -d '{ "expected_revision": 1 }'{ "$schema": "https://example.com/api/v1/schemas/Workflow.json", "created_at": "2019-08-24T14:15:22Z", "definition": { "schema": 1, "source": { "$schema": "https://example.com/api/v1/schemas/WorkflowSource.json", "account_ids": [ "string" ], "connection_id": "string", "include_prereleases": true, "interval_minutes": 0, "kind": "manual", "repository": "string", "url": "string" }, "steps": [ { "else": [ {} ], "id": "string", "inputs": { "property1": { "literal": null, "reference": "string" }, "property2": { "literal": null, "reference": "string" } }, "kind": "create_draft", "name": "string", "then": [ {} ] } ] }, "description": "string", "enabled": true, "id": "string", "last_checked_at": "2019-08-24T14:15:22Z", "name": "string", "published_revision": 0, "revision": 0, "source_error": "string", "updated_at": "2019-08-24T14:15:22Z", "workspace_id": "string"}